<template lang="pug">
div
  template(v-if="!error")
    .fa.fa-spinner.fa-pulse(v-if="loading")
    a(:href="href" v-if="href" v-show="!loading")
      img(:src="src" v-on:load="loading=false" v-on:error="error=true")
    img(:src="src" v-on:load="loading=false" v-on:error="error=true" v-else)
  template(v-else)
    .fa.fa-times
</template>

<script>

export { default } from "./BaseImage.vue.js";

</script>
